Subject: [css-d] CSS-only line break (a tip)

From: outlaw at joseywales.com (Seb Duggan)
Date: Sat, 26 Apr 2003 12:48:09 +0100

>> I would also like to offer one further suggestion, using
>> whitespace:pre, which seems even simpler to me: simply stick in
>> the line breaks where you want them, as in this example:
> 
> Very nice Steve - this seems to be the most elegant solution so far - and it
> seems to work in every browser I've thrown it at!
> 
> I'll be changing my own code to this...

Final word on this...

I tested my page on a friend's Linux box, on Konqueror. Unfortunately,
Konqueror currently only supports white-space:pre for PRE and XMP elements.
However, even the earlier beta of Safari handles it correctly, so it should
find its way in to the KHTML source fairly soon.

(Also, it wasn't a disastrous mis-rendering - and Konqueror users are
probably a very small minority of my site's traffic).

Seb